%define name bcm5700
%define version 7.1.9

Summary: Broadcom Gigabit ethernet driver
Name: %{name}
Version: %{version}
Release: 1
Vendor: Broadcom Corporation
Copyright: GPL
Group: System Environment/Base
Source: bcm5700-%{version}.tgz
BuildRoot: /var/tmp/%{name}-buildroot

%description
This package contains Broadcom's Gigabit ethernet driver.

%prep
%setup -c -b 0

%build
make bcm5700.o

%install
echo "%defattr(-,root,root)" > $RPM_BUILD_DIR/file.list.%{name}
if [ -d /lib/modules/`uname -r`/kernel/3rdparty/bcm5700 ]
then
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/3rdparty/bcm5700
echo "/lib/modules/`uname -r`/kernel/3rdparty/bcm5700/bcm5700.o" >> $RPM_BUILD_DIR/file.list.%{name}
elif [ -d /lib/modules/`uname -r`/kernel/drivers/addon/bcm5700 ]
then
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/addon/bcm5700
echo "/lib/modules/`uname -r`/kernel/drivers/addon/bcm5700/bcm5700.o" >> $RPM_BUILD_DIR/file.list.%{name}
elif [ -d /lib/modules/`uname -r`/kernel/drivers/net/bcm ]
then
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/net/bcm
echo "/lib/modules/`uname -r`/kernel/drivers/net/bcm/bcm5700.o" >> $RPM_BUILD_DIR/file.list.%{name}
elif [ -d /lib/modules/`uname -r`/kernel ]
then
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/net
echo "/lib/modules/`uname -r`/kernel/drivers/net/bcm5700.o" >> $RPM_BUILD_DIR/file.list.%{name}
else
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/net
echo "/lib/modules/`uname -r`/net/bcm5700.o" >> $RPM_BUILD_DIR/file.list.%{name}
fi
if [ -d /usr/share/man ]
then
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man4
echo "/usr/share/man/man4/bcm5700.4.*" >> $RPM_BUILD_DIR/file.list.%{name}
elif [ -d /usr/man ]
then
mkdir -p $RPM_BUILD_ROOT/usr/man/man4
echo "/usr/man/man4/bcm5700.4.*" >> $RPM_BUILD_DIR/file.list.%{name}
fi
make install PREFIX=$RPM_BUILD_ROOT

%post
depmod -a > /dev/null 2> /dev/null
exit 0

%postun
depmod -a > /dev/null 2> /dev/null
exit 0

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%doc LICENSE README.TXT DISTRIB.TXT RELEASE.TXT

%changelog
