@echo off
rem *******************************************************************
rem Script file for uninstalling Broadcom Driver, and Driver installer.
rem Please use the following line commands . . . 
rem     silentun w2k (to uninstall the Windows 2000 driver and installer) 
rem     silentun xp  (to uninstall the Windows XP driver and installer)
rem *******************************************************************

setlocal
rem *****Save the current search path *****
Set SavePath=%Path%

rem show help message
if "%1%" == "/?" goto usage

rem *******************************************************************
rem                      parse the arguments
rem *******************************************************************
:parse
rem parse the second argument
if "%1" == "" goto usage
if "%1" == "w2k" goto w2k
if "%1" == "xp" goto xp

rem *******************************************************************
rem              Uninstall Windows 2000 Driver and Installer
rem *******************************************************************
:w2k
path %ProgramFiles%\broadcom\drvinst
bdrvinst b57w2k.inf -r
path %CommonProgramFiles%\InstallShield\Driver\8\Intel 32
IDriver.exe /M{BE6890C7-31EF-478C-812E-1E2899ABFCA9} /uninst
Goto Done

rem *******************************************************************
rem              Uninstall XP Driver and Installer
rem *******************************************************************
:xp
path %ProgramFiles%\broadcom\drvinst
bdrvinst b57xp32.inf -r
path %CommonProgramFiles%\InstallShield\Driver\8\Intel 32
IDriver.exe /M{BE6890C7-31EF-478C-812E-1E2899ABFCA9} /uninst
Goto Done

:Done
rem Restore the search path
Path=%SavePath%
Set SavePath=
goto end

rem *******************************************************************
rem                            Usage
rem *******************************************************************
:usage
echo
echo     Please use the following line commands . . . 
echo     silentun w2k (to uninstall the Windows 2000 driver and installer) 
echo     silent xp  (to uninstall the Windows XP driver and installer)
echo  

:end
endlocal
